> ## Documentation Index
> Fetch the complete documentation index at: https://www.vollna.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Skip job

> Skip a scheduled auto bidding job



## OpenAPI

````yaml post /auto-bidding/jobs/{id}/skip
openapi: 3.0.4
info:
  title: Vollna API
  description: API for managing Upwork profiles, proposals, results, and filters
  version: 1.0.0
servers:
  - url: https://api.vollna.com/v1
security: []
tags:
  - name: Profiles
    description: Manage Upwork profiles
  - name: Proposals
    description: Access and manage Upwork proposals
  - name: Results
    description: View monitoring results and projects
  - name: Filters
    description: Manage monitoring filters
  - name: Auto Bidding
    description: Manage auto bidding jobs and setups
paths:
  /auto-bidding/jobs/{id}/skip:
    post:
      tags:
        - Auto Bidding
      summary: Skip job
      description: Skip a scheduled auto bidding job
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
          description: The job ID
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                reason:
                  type: string
                  description: Optional reason for skipping the job
      responses:
        '200':
          description: Job skipped successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AutoBiddingJobSkipResponse'
        '400':
          description: Bad request - job cannot be skipped
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Job not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiToken: []
components:
  schemas:
    AutoBiddingJobSkipResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        job:
          $ref: '#/components/schemas/AutoBiddingJobSkipped'
    Error:
      type: object
      properties:
        error:
          type: string
    AutoBiddingJobSkipped:
      type: object
      properties:
        id:
          type: integer
        upwork_job_id:
          type: string
        status:
          type: string
        status_title:
          type: string
        skip_initiator:
          type: string
        skip_reason:
          type: string
          nullable: true
        processed_at:
          type: string
        setup_id:
          type: integer
        setup_name:
          type: string
  securitySchemes:
    apiToken:
      type: apiKey
      name: X-API-TOKEN
      in: header
      description: API token for authentication

````